---
title: "Validation Check For Outgoing Fund Transfer"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/operations/outgoingFundTransferValidation1"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# Validation Check For Outgoing Fund Transfer

`POST` `/policy/v1/transactions/{planCode}/{policyNumber}/outgoingfundtransfer/validation`

Operation ID: `outgoingFundTransferValidation1`

## Path parameters

- `planCode` (string, required)
- `policyNumber` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Success
- `400` - Failure
- `500` - Unexpected error occured, please check server log

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
paths:
  /policy/v1/transactions/{planCode}/{policyNumber}/outgoingfundtransfer/validation:
    post:
      x-kong-plugin-pre-function:
        config:
          access:
            - >
              local path = kong.request.get_path()

              local new_path = path:gsub("^/policy/v1/transactions",
              "/bpm/v1/policies")

              kong.service.request.set_path(new_path)
      tags:
        - Financial Transactions
      summary: Validation Check For Outgoing Fund Transfer
      operationId: outgoingFundTransferValidation1
      parameters:
        - name: planCode
          in: path
          required: true
          schema:
            type: string
        - name: policyNumber
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Outgoingfundtransfer"
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                success:
                  $ref: "#/components/examples/successTransactionResponsewithoutQuote"
        "400":
          description: Failure
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TransactionResponse"
              examples:
                failure:
                  $ref: "#/components/examples/failureTransactionResponse"
        "500":
          description: Unexpected error occured, please check server log
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    Outgoingfundtransfer:
      type: object
      properties:
        planCode:
          type: string
          example: TEST8
        correlationId:
          type: string
          example: oft-corr-001
        partyId:
          type: string
          example: owner-party-id-001
        policyNumber:
          type: string
          example: "112132141"
        businessKey:
          type: string
          example: case-12345
        transactionName:
          type: string
          example: OutgoingFundTransfer
        deleteRequest:
          type: boolean
          example: false
        requestType:
          type: string
          example: ADD
        submitInfo:
          type: object
          properties:
            submittedBy:
              type: string
              example: agent@example.com
            source:
              type: string
              example: ZCM
            submittedByPartyId:
              type: string
              example: submitting-party-id-001
        receivedDate:
          type: string
          format: date-time
          example: 2026-06-01T10:00:00Z
        carrierId:
          type: string
          example: SBGC
        caseId:
          type: string
          example: case-12345
        effectiveDate:
          type: string
          format: date
          example: 2026-06-01
        reverseInitiator:
          type: boolean
          example: false
        replacementIndicator:
          type: boolean
          example: true
        type:
          type: string
          example: FULLSURRENDER
        externalIdentifiers:
          type: object
          properties:
            externalTransactionId:
              type: string
              example: ext-txn-001
            referenceNumber:
              type: string
              example: REF-001
        transactionEffectiveOn:
          type: object
          properties:
            option:
              type: string
              example: SPECIFICDATE
            date:
              type: string
              format: date
              example: 2026-06-01
        exchangeInformation:
          type: object
          properties:
            receivingCarrierName:
              type: string
              example: Security Benefit Group of Companies
            receivingCarrierCode:
              type: string
              example: SBGC
            receivingPolicyNumber:
              type: string
              example: RCV-POL-999
            qualType:
              type: string
              example: IRA
        transactionAmounts:
          type: object
          properties:
            requestedAmount:
              type: number
              format: double
              example: 100000
            netPaymentAmount:
              type: number
              format: double
              example: 95000
            amountType:
              type: string
              example: GROSS
            disbursementType:
              type: string
              example: GROSS
            distributionCode:
              type: string
              example: "7"
            disbursementPaymentForm:
              type: string
              example: WIRE
            accountNumber:
              type: string
              example: "987654321"
            participantId:
              type: string
              example: PART-001
            transactionReason:
              type: string
              example: 1035 Exchange
        fundAllocation:
          type: object
          properties:
            allocationOption:
              type: string
              example: PRORATA
            amountType:
              type: string
              example: DOLLAR
        fundDistributions:
          type: array
          items:
            type: object
            properties:
              fundId:
                type: string
              fundName:
                type: string
              distributionAmountType:
                type: string
              totalFundValue:
                type: number
                format: double
              requestedAmount:
                type: number
                format: double
              fundDistributionSegments:
                type: array
                items:
                  type: object
                  properties:
                    segmentId:
                      type: string
                    currentAmount:
                      type: number
                      format: double
                    requestedAmount:
                      type: number
                      format: double
        taxWithholdingInstructions:
          type: array
          items:
            type: object
            properties:
              partyId:
                type: string
              taxWithholdingType:
                type: string
              partyRole:
                type: string
              taxRateToUse:
                type: string
              filingStatus:
                type: string
              dollar:
                type: number
                format: double
              percentage:
                type: number
                format: double
              exemptions:
                type: integer
              taxJurisdiction:
                type: string
              contribution:
                type: string
              w4p:
                type: object
                properties:
                  totalAmountOfOtherIncomeAndOtherPensionsOrAnnuities:
                    type: number
                    format: double
                  totalAmountOfClaimsAndOtherCredits:
                    type: number
                    format: double
                  otherIncome:
                    type: number
                    format: double
                  otherDeduction:
                    type: number
                    format: double
              taxFormType:
                type: string
        authorizationDetails:
          type: object
          properties:
            emails:
              type: object
              properties:
                type:
                  type: string
                address:
                  type: string
            phone:
              type: object
              properties:
                type:
                  type: string
                countryCode:
                  type: string
                areaCode:
                  type: string
                dialNumber:
                  type: string
                extension:
                  type: string
        parties:
          type: array
          items:
            type: object
            properties:
              partyId:
                type: string
              partyRole:
                type: string
              partyType:
                type: string
              paymentMethod:
                type: string
              ownershipPercentage:
                type: number
                format: double
              forBenefitOfOrForFurtherCredit:
                type: string
              personalInformation:
                type: object
                properties:
                  firstName:
                    type: string
                  middleName:
                    type: string
                  lastName:
                    type: string
                  fullName:
                    type: string
                  gender:
                    type: string
                  dateOfBirth:
                    type: string
                    format: date
                  birthCountry:
                    type: string
                  citizenshipCountry:
                    type: string
                  birthState:
                    type: string
              organisationDetails:
                type: object
                properties:
                  fullName:
                    type: string
                  organizationCode:
                    type: string
                  entityType:
                    type: string
                  trustDate:
                    type: string
                  trustType:
                    type: string
                  trustTitle:
                    type: string
              addresses:
                type: array
                items:
                  type: object
                  properties:
                    addressId:
                      type: string
                    startDate:
                      type: string
                      format: date
                    endDate:
                      type: string
                      format: date
                    addressType:
                      type: string
                    addressLine1:
                      type: string
                    addressLine2:
                      type: string
                    addressLine3:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                    zipCode:
                      type: string
                    zipCodeExtension:
                      type: string
                    country:
                      type: string
                    isPreferred:
                      type: boolean
              overnightCheckInfo:
                type: object
                properties:
                  accountType:
                    type: string
                  accountName:
                    type: string
                  accountNumber:
                    type: string
              signatures:
                type: object
                properties:
                  type:
                    type: string
                  designation:
                    type: string
                  name:
                    type: string
                  date:
                    type: string
                    format: date
                  state:
                    type: string
                  esignValidation:
                    type: boolean
              identifications:
                type: array
                items:
                  type: object
                  properties:
                    identificationType:
                      type: string
                    identificationValue:
                      type: string
                    issueState:
                      type: string
                    issueCountry:
                      type: string
                    identificationId:
                      type: string
                    startDate:
                      type: string
                      format: date
                    endDate:
                      type: string
                      format: date
                    identificationKey:
                      type: string
                    identificationDescription:
                      type: string
              bankDetails:
                type: object
                properties:
                  bankId:
                    type: string
                  nameOnAccount:
                    type: string
                  accountStatus:
                    type: string
                  accountType:
                    type: string
                  accountNumber:
                    type: string
                  routingNumber:
                    type: string
                  ibanNumber:
                    type: string
                  financialInstitutionName:
                    type: string
                  branchName:
                    type: string
                  bankAccountPurpose:
                    type: string
                  address:
                    type: object
                    properties:
                      addressType:
                        type: string
                      line1:
                        type: string
                      line2:
                        type: string
                      line3:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      postalCode:
                        type: string
                      postalCodeExtension:
                        type: string
                      country:
                        type: string
        charges:
          type: array
          items:
            type: object
            properties:
              partyId:
                type: string
              chargeType:
                type: string
              chargeWaiverIndicator:
                type: string
              chargeWaiverReason:
                type: string
        documents:
          type: array
          items:
            type: object
            properties:
              documentId:
                type: string
              documentDate:
                type: string
                format: date
              documentType:
                type: string
              documentTypeDescription:
                type: string
              payerId:
                type: string
              appId:
                type: string
              brokerMAN:
                type: string
              caseNumber:
                type: string
              participantAccountNumber:
                type: string
              deliveryMethod:
                type: string
              clientCode:
                type: string
              trackingId:
                type: string
              policyNumber:
                type: string
              planCode:
                type: string
              firstName:
                type: string
              lastName:
                type: string
              masterNumber:
                type: string
              externalId:
                type: string
              bdNumber:
                type: string
              bdName:
                type: string
              bdExternalId:
                type: string
              productName:
                type: string
              agentTaxId:
                type: string
              sourceFileName:
                type: string
              fileType:
                type: string
              displayName:
                type: string
              repMan:
                type: string
              documentNumber:
                type: string
              caseId:
                type: string
              zinniaLiveCaseId:
                type: string
              attachmentType:
                type: string
              mtrackingNumber:
                type: string
              mshipDate:
                type: string
                format: date
              documentCategory:
                type: string
              docAccessLevel:
                type: string
              documentClassification:
                type: string
              formNumber:
                type: string
        loaTransferValidation:
          type: object
          properties:
            authorizedOfficerPresent:
              type: boolean
            ownerRegistrationTypeValid:
              type: boolean
        selfServeFlow:
          type: boolean
          example: true
        supportingDocumentAttached:
          type: boolean
          example: true
        isSignValidationRequired:
          type: boolean
          example: false
        paper:
          type: boolean
          example: false
        ownerSignStatus:
          type: string
          example: VALID
        jointOwnerRoleExists:
          type: boolean
          example: true
        jointOwnerSignStatus:
          type: string
          example: VALID
        signatures:
          type: array
          items:
            type: object
            properties:
              signType:
                type: string
              isSignedPresent:
                type: boolean
              signDate:
                type: string
                format: date
              signPrintName:
                type: string
              signGuarantee:
                type: string
              signDesignation:
                type: string
    TransactionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
            - failure
        error:
          type: array
          items:
            $ref: "#/components/schemas/Error"
        quoteResponse:
          type: object
    Error:
      type: object
      properties:
        errorCode:
          type: string
          example: BPM.NM.002
          description: This is the NIGO id generated by BPM system
        attribute:
          type: string
        error:
          type: string
          description: This is the error generated by BPM system
        resolution:
          type: string
          description: Resolution generated by BPM system to resolve the error
  examples:
    successTransactionResponsewithoutQuote:
      value:
        status: success
    failureTransactionResponse:
      value:
        status: failure
        validationResult:
          - errorCode: BPM.NM.005
            attribute: null
            error: Amount request is invalid.
            resolution: Please check the One Time Premium Amount and submit the request
              again.
          - errorCode: BPM.NM.003
            attribute: null
            error: Party information does not match with information in the Zahara system.
            resolution: Please validate the party information and submit the request again.
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.uat.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://uat.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://uat.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
